View Issue Details

IDProjectCategoryView StatusLast Update
0003093Slicer4Core: Extensionspublic2018-03-02 11:02
ReporterlassoanAssigned Tohina-shah 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSlicer 4.2.2-1 
Target VersionFixed in VersionSlicer 4.7.0 
Summary0003093: Explain user how to download extension associated with a specific Slicer revision
Description

From Andras:

Thanks, entering the revision works, indeed!

The only issue now is that the website doesn't give any hint that the user shall enter the revision into the unlabeled editbox.

Implementing these would resolve the issue:

  • Add a label to the editbox of the revision number
  • Replace the "No extensions found" message by "Revision number is required" (or any other message that indicates what is the problem and what to do about it)
TagsNo tags attached.

Relationships

related to 0003089 closedjcfr SlicerAppStore website is broken 
related to 0002145 closedmatthew-woehlke Provide a mechanism allowing to easily install extension given the location of the package 

Activities

jcfr

jcfr

2013-04-26 14:51

administrator   ~0008525

Make complete sens. We could also detect the current platform, pre-select the os + arch and also have the latest revision already entered.

finetjul

finetjul

2013-04-30 11:05

administrator   ~0008542

In addition to the GUI missing a revision number editbox, I think another problem is that it shows positive counts in the categories but no extension show up. This is inconsistent.
2 options:

  • no revision means no extension and therefore 0 should be in the category counts
  • no revision means all the extensions visible.
lassoan

lassoan

2013-05-01 10:26

developer   ~0008548

URL: http://slicer.kitware.com/midas3/slicerappstore

hina-shah

hina-shah

2017-04-27 21:23

developer   ~0014453

Pull requests were added to https://github.com/midasplatform/slicerappstore and https://github.com/midasplatform/slicerpackages to resolve this issue.

The changes will

  • Add a label for revision
  • Get the latest nightly revision# from database and populate the extensions list based on that
  • Make 64-bit option as default
  • Make the message more meaningful when no extensions are found
  • Do not display any categories when no extensions are found.
jcfr

jcfr

2017-05-15 13:23

administrator   ~0014482

Thanks Hina.

Changes have been deployed on the server.

See http://slicer.kitware.com/midas3/slicerappstore

lassoan

lassoan

2017-05-15 13:43

developer   ~0014483

Thank you, this works much better!

If you don't specify revision then you still just get "No extensions found" message (instead of getting a message like "Revision" is required), but now that the revision field is filled by default, this will probably not cause any issues.

Issue History

Date Modified Username Field Change
2013-04-26 14:48 jcfr New Issue
2013-04-26 14:48 jcfr Status new => assigned
2013-04-26 14:48 jcfr Assigned To => jcfr
2013-04-26 14:49 jcfr Relationship added related to 0003089
2013-04-26 14:49 jcfr Reporter jcfr => lassoan
2013-04-26 14:49 jcfr Description Updated
2013-04-26 14:50 jcfr Relationship added related to 0002145
2013-04-26 14:51 jcfr Note Added: 0008525
2013-04-30 11:05 finetjul Note Added: 0008542
2013-05-01 10:26 lassoan Note Added: 0008548
2017-04-27 21:23 hina-shah Note Added: 0014453
2017-04-27 21:23 hina-shah Assigned To jcfr => hina-shah
2017-05-15 13:23 jcfr Status assigned => resolved
2017-05-15 13:23 jcfr Fixed in Version => Slicer 4.7.0
2017-05-15 13:23 jcfr Resolution open => fixed
2017-05-15 13:23 jcfr Note Added: 0014482
2017-05-15 13:43 lassoan Note Added: 0014483
2018-03-02 11:02 jcfr Status resolved => closed